//! @file amplifier_drv.h,v
//!
//! Copyright (c) 2004 Atmel.
//!
//! 쌠ʒmɂĂlicense.txtǂłB
//!
//! @brief ̧ق͑p̒ϸۂƒ`܂݂܂B
//!
//! @version 1.4 pwm3-ac-ctrl-motor-0_0_6
//!
//! @todo
//! @bug

#ifndef AMPLIFIER_DRV_H
#define AMPLIFIER_DRV_H

//_____ ݸٰ _______________________________________________________________

//! @defgroup Amplifiers_modules 핔
//! 핔
//! @{
//_____ ϸ ___________________________________________________________________

  //! @defgroup Amplifiers_macros ϸ
  //! ȋ̎gpϸ
  //! @{

	//! @defgroup Amplifier0_macros 0ϸ
	//! ȋ0̎gpϸ
	//! @{

  //! *** 0`Ԑݒ ***
  //! ****** AMP0CSR
  //! 7		AMP0EN		: 1:틖
  //! 6		AMP0IS		: 1:͒Z
  //! 5:4	AMP0G1:0	: 0Iޯ
  //!					: 00:5
  //!					: 01:10
  //!					: 10:20
  //!					: 11:40
  //! 3:2	(\)		: (gp)
  //! 1:0	AMP0TS1:0	: 0Nޯ
  //!					: 00:ADCclk/8
  //!					: 01:PSC0
  //!					: 10:PSC1
  //!					: 11:PSC2
  //! ****** END AMP0CSR

	  //! @defgroup Turn_on_amplifier0 0 ON
	  //! 0 ON
	  //! @{
#define Enable_amp0()					(AMP0CSR |= (1<<AMP0EN))
#define Is_amp0_enabled()				(AMP0CSR &  (1<<AMP0EN))
	  //! @}

	  //! @defgroup Amp0_input_shunt 0͒Z
	  //! 0ZCӑI`Ԑݒ
	  //! @{
#define Enable_amp0_input_shunt()		(AMP0CSR |=  (1<<AMP0IS))
#define Disable_amp0_input_shunt()		(AMP0CSR &= ~(1<<AMP0IS))
	  //! @}

	  //! @defgroup Amplifier0_gain_configuration 0`Ԑݒ
	  //! 0̗̒l`Ԑݒ
	  //! @{
//! 05`Ԑݒ
#define Set_amp0_gain05()				(AMP0CSR &= ~(  (1<<AMP0G1) | (1<<AMP0G0) ) )
//! 010`Ԑݒ
#define Set_amp0_gain10()				(AMP0CSR &= ~(1<<AMP0G1), AMP0CSR |=  (1<<AMP0G0) )
//! 020`Ԑݒ
#define Set_amp0_gain20()				(AMP0CSR |=  (1<<AMP0G1), AMP0CSR &= ~(1<<AMP0G0) )
//! 040`Ԑݒ
#define Set_amp0_gain40()				(AMP0CSR |=  ((1<<AMP0G1) | (1<<AMP0G0)) )
	  //! @}

	  //! @defgroup Amplifier0_clock_selection 0ۯI
	  //! ̸ۯ쓮ɎgpۯIт܂B
	  //! @{
//! 0ADCclk/8ɂۯ쓮
#define Amp0_internal_clock()			(AMP0CSR &= ~(  (1<<AMP0TS1) | (1<<AMP0TS0) ) )
//! 0PSC0NMɂۯ쓮
#define Amp0_psc0_clock()				(AMP0CSR &= ~(1<<AMP0TS1), AMP0CSR |=  (1<<AMP0TS0) )
//! 0PSC1NMɂۯ쓮
#define Amp0_psc1_clock()				(AMP0CSR |=  (1<<AMP0TS1), AMP0CSR &= ~(1<<AMP0TS0) )
//! 0PSC2NMɂۯ쓮
#define Amp0_psc2_clock()				(AMP0CSR |=  ((1<<AMP0TS1) | (1<<AMP0TS0)) )
	  //! @}

	  //! @defgroup Turn_off_amplifier0 0 OFF
	  //! 0 OFF
	  //! @{
#define Disable_amp0()					(AMP0CSR &= ~(1<<AMP0EN) )
	  //! @}
	//! @}

	//! @defgroup Amplifier1_macros 1ϸ
	//! ȋ1̎gpϸ
	//! @{

  //! *** 1`Ԑݒ ***
  //! ****** AMP1CSR
  //! 7		AMP1EN		: 1:틖
  //! 6		AMP1IS		: 1:͒Z
  //! 5:4	AMP1G1:0	: 1Iޯ
  //!					: 00:5
  //!					: 01:10
  //!					: 10:20
  //!					: 11:40
  //! 3:2	(\)		: (gp)
  //! 1:0	AMP1TS1:0	: 1Nޯ
  //!					: 00:ADCclk/8
  //!					: 01:PSC0
  //!					: 10:PSC1
  //!					: 11:PSC2
  //! ****** END AMP1CSR

	  //! @defgroup Turn_on_amplifier1 1 ON
	  //! 1 ON
	  //! @{
#define Enable_amp1()					(AMP1CSR |= (1<<AMP1EN))
#define Is_amp1_enabled()				(AMP1CSR &  (1<<AMP1EN))
	  //! @}

	  //! @defgroup Amp1_input_shunt 1͒Z
	  //! 1ZCӑI`Ԑݒ
	  //! @{
#define Enable_amp1_input_shunt()		(AMP1CSR |=  (1<<AMP1IS))
#define Disable_amp1_input_shunt()		(AMP1CSR &= ~(1<<AMP1IS))
	  //! @}

	  //! @defgroup Amplifier1_gain_configuration 1`Ԑݒ
	  //! 1̗̒l`Ԑݒ
	  //! @{
//! 15`Ԑݒ
#define Set_amp1_gain05()				(AMP1CSR &= ~(  (1<<AMP1G1) | (1<<AMP1G0) ) )
//! 110`Ԑݒ
#define Set_amp1_gain10()				(AMP1CSR &= ~(1<<AMP1G1), AMP1CSR |=  (1<<AMP1G0) )
//! 120`Ԑݒ
#define Set_amp1_gain20()				(AMP1CSR |=  (1<<AMP1G1), AMP1CSR &= ~(1<<AMP1G0) )
//! 140`Ԑݒ
#define Set_amp1_gain40()				(AMP1CSR |=  ((1<<AMP1G1) | (1<<AMP1G0)) )
	  //! @}

	  //! @defgroup Amplifier1_clock_selection 0ۯI
	  //! ̸ۯ쓮ɎgpۯIт܂B
	  //! @{
//! 1ADCclk/8ɂۯ쓮
#define Amp1_internal_clock()			(AMP1CSR &= ~(  (1<<AMP1TS1) | (1<<AMP1TS0) ) )
//! 1PSC0NMɂۯ쓮
#define Amp1_psc0_clock()				(AMP1CSR &= ~(1<<AMP1TS1), AMP1CSR |=  (1<<AMP1TS0) )
//! 1PSC1NMɂۯ쓮
#define Amp1_psc1_clock()				(AMP1CSR |=  (1<<AMP1TS1), AMP1CSR &= ~(1<<AMP1TS0) )
//! 1PSC2NMɂۯ쓮
#define Amp1_psc2_clock()				(AMP1CSR |=  ((1<<AMP1TS1) | (1<<AMP1TS0)) )
	  //! @}

	  //! @defgroup Turn_off_amplifier1 1 OFF
	  //! 1 OFF
	  //! @{
#define Disable_amp1()					(AMP1CSR &= ~(1<<AMP1EN) )
	  //! @}
	//! @}
  //! @}

//_____ ` __________________________________________________________________

//_____ ֐ __________________________________________________________________
  //! @defgroup Amplifiers_low_level_functions ʊ֐
  //! ʊ֐
  //! @{

//! `Ԑݒl`ɏ]đ`Ԑݒ肵܂B
//! DIDR0DIDR1ڼ޽ɂı۸ޓ͂Ƃĕϊ߰ĂIȂ΂
//! ȂƂɒӂĂB
//!
#ifdef USE_AMP0		//!< ̒`config.ḩقŐݒ肳܂B
	//! @defgroup Amplifier0_low_level_function 0ʊ֐
	//! 0ʊ֐
	//! @{
void init_amp0(void);
	//! @}
#endif //USE_AMP0

#ifdef USE_AMP1		//!< ̒`config.ḩقŐݒ肳܂B
	//! @defgroup Amplifier1_low_level_function 1ʊ֐
	//! 1ʊ֐
	//! @{
void init_amp1(void);
	//! @}
#endif //USE_AMP1
  //! @}
//! @}
#endif  // AMPLIFIER_DRV_H
