/**
* @file controlVF.c
*
* Copyright (c) 2004 Atmel.
*
* @brief ̧قͼэL͈͂̌`Ԑݒɱ邽߂ɑSĂ̿ ̧قɂĊ
*		 ߂܂B
*
* @version 1.0 (CVS revision : 1.4)
* @date 2006/02/13 12:31:38 (created on 06/04/2004)
* @author raubree (created by Emmanuel David)

*****************************************************************************/

#include "config.h"
#include "inavr.h"

#define Vf_SLOPE 67
#define OMEGA_TS_MAX 192 // 192
//#define OMEGA_TS_MIN 32 // 32
#define OMEGA_TS_MIN 64 // 64

/*
   w_max.Te_scal = (480/2*pi) * Te * w_max = 12
     Te = 1/1000
     w_max = 1500 .(pi/30) = 50.pi

    => w_max = 16 * w_max.Te_scal = 192

*/

// V/f
U16 controlVF(U16 wTs) {

  U16  amp ;

  if (wTs <= OMEGA_TS_MIN )								// ig
  {
	amp = (Vf_SLOPE * OMEGA_TS_MIN) / 10;				// id
  }
  else
	if ( (wTs > OMEGA_TS_MIN) & (wTs < OMEGA_TS_MAX) )
	  amp = (Vf_SLOPE * wTs)/10 ;						// V/f
	else
	  amp = (Vf_SLOPE * OMEGA_TS_MAX)/10;				// il
  return amp ;
}
